DVD Playback testing overview

These procedures guide you through the process of testing your digital video disc (DVD) playback decoder solution to handle the demanding loads of multimedia in the Microsoft® Windows® XP Professional operating system. You must run all of the standard DVD playback tests.

If your product provides bus-specific support, run the appropriate bus-specific tests in addition to the standard tests.

Important: If your DVD playback decoder solution provides DirectX® Video Acceleration (VA) support, you must also complete the DirectX Video Acceleration DVD Playback test procedures.

If the test device is multifunctional, you must complete the test procedures for each functionally independent, logical device. For example, a keyboard that contains a glide pad must complete the keyboard tests and the pointing drawing tests.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT tools.

Click to show or hide information. Standard DVD playback tests

The following tests are required for all DVD playback decoder solutions, and can be run in any order.

  • ACPI Stress - Device I/O (Extended) -This test is required only for hardware-based solutions.
  • Bus Mastering (This test is required only for PCI-based solutions that pass video data through the PCI bus.)
  • ChkINF (This test is required only for hardware-based solutions.)
  • hardware-based solutions.)
  • Driver Verifier - DVD (This test is required only for hardware-based solutions.)
  • DVD Configuration
  • DVD Test Annex Automated 2.0
  • Enable/Disable - Device I/O (DVD) - This test is required only for hardware-based solutions.
  • Exclusive Mode Playback
  • Janet Jackson: Velvet Rope
  • John Fogerty: Premonition
  • Lost In Space
  • Packetized Elementary Stream Support
  • Signability (This test is required only for hardware-based solutions.)
  • Web DVD

Click to show or hide information. Bus-specific tests

These additional test categories are required for hardware-based streaming video devices if support is provided for the bus.

  • IEEE 1394
  • CardBus/PCMCIA
  • PCI
  • USB

Test suite run time: Approximately 1.5 hours

Click to show or hide information. Hardware requirements

The following hardware is required to run the DVD Playback HCT kit.

Additional hardware may be required if the test device provides bus-specific support. See the testing overview for CardBus/PCMCIA Controllers, IEEE 1394 Controllers, Infrared (IrDA) Controllers, USB Controllers, or USB Hubs to determine if there are additional hardware requirements.

  • Test DVD software or hardware decoder solution

– or –

Test Moving Picture Expert Group-2 (MPEG-2) software or hardware decoder solution

  • One Intel Pentium, or equivalent, test system with the following:
  • Minimum 400 MHz microprocessor
  • 256 MB of RAM
  • AGP or PCI capable
  • One minimum 17" monitor with minimum 1024x768x24 bpp resolution
  • One display adapter/driver combination
  • One keyboard
  • One mouse (or any pointing/drawing device)
  • One IDE hard disk drive with 4GB capacity, and PIO-4 with DMA capability
  • One DVD-ROM drive
  • One audio adapter

Important: All hardware must be included on the Microsoft Windows Hardware Compatibility List (HCL). The display adapter/driver combination must be listed on the HCL or be a current test submission in the Windows Logo for Hardware Program process.

  • One television with 16:9 and 4:3 aspect ratios (optional)

This television must have a high quality Digital Comb Filter, such as the Sony XBR or the Toshiba Cinema Series.

  • One FoxFire II PCI adapter (required only if test device is a hardware DVD playback solution)

Click to show or hide information. Software requirements

The following software is required to run the DVD Playback HCT kit.

  • WHQL DVD Test Annex 2.0

This DVD can be ordered from http://www.microsoft.com/hwtest/testkits/order.asp.

  • The following DVD titles:
  • Janet Jackson: The Velvet Rope Tour

The region 2 Phase Alternation Line (PAL) version is required.

  • Lost in Space
  • John Fogerty: Premonition
  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the HCT for DVD Playback, testers must know how to do the following tasks:

  • Physically install the DVD playback decoder solution hardware or software.
  • Install the manufacturer-supplied device driver, if necessary.
  • Install the FoxFire II PCI adapter (required only for hardware DVD playback solutions).
  • Install the Windows XP Professional operating system from the product CD.
  • Install the Windows XP 10.0.

Development resources

Microsoft DirectX® 8 Software Development Kit (DirectX 8 SDK) application programming interface and software

Related links

Preparing for DVD Playback testing
FoxFire II PCI adapter

Microsoft Windows HCL


Preparing for DVD Playback testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows® XP Professional. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the DVD Playback testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for DVD playback testing for the Windows XP Professional operating system.

To configure the test system for DVD Playback testing

  1. Install the Windows XP Professional operating system from the product CD on the test system.
  2. Physically install the hardware or software solution on the test system.
  3. Install the manufacturer-supplied device driver, if necessary, on the test system.
  4. Install the FoxFire II PCI adapter on the test system (required only for hardware DVD playback solutions).
  5. Install the Windows XP HCT 10.0 on the test system.

Related links

DVD Playback testing overview


Bus Mastering test

This test verifies streaming video for DVD playback. It uses bus mastering, not the microprocessor, to copy video frames between buffers.

Microprocessor utilization is measured before and during playback of a Moving Picture Expert Group-2 (MPEG-2) stream. A device will pass the test if the microprocessor utilization difference is less than, or equal to, 15%.

The Bus Mastering test builds a playback graph, bypassing any player software that may be present on the system. For this to occur, the system and the decoder must be DirectShow® 6.0 compliant.

Important: This test is required only for DVD playback solutions that use PCI bus-based decoding hardware.

Run time: 5 minutes

Log file name: Dvdplay.log

Operating system: Windows® XP Professional

Test assertions: Chapter 6

Related links

Running the Bus Mastering test


DVD Test Annex Automated 2.0 testing overview

The DVD Text Annex Automated 2.0 includes a suite of functional and system-limits tests, which provides a comprehensive audit of system DVD-Video playback capabilities.

This disk can also be used for an informal check of DVD decode requirements such as MPEG-1 and MPEG-2 with odd VBR patterns, plus tests for optional features such as PCM and MPEG-1 audio.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run, software requirements, and tester knowledge requirements. The preparing for testing topic includes specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test, and may include test notes. The running the test topics include instructions for running the DVD Test Annex Automated 2.0 tests.

Click to show or hide information. DVD Test Annex Automated 2.0 tests

  • DVD Audio test suite
  • DVD Subpicture test suite
  • DVD Sequence/Branching test suite
  • DVD Graphics and Menu Support test suite
  • DVD Video Port Performance test suite
  • DVD Decode test suite
  • DVD Other Zone tests

Test suite run time: Approximately 30 minutes

Operating system: Windows® XP Professional

Test assertions: Chapter 6: Digital and Broadcast Video Test Specification

Click to show or hide information. Software requirements

The following software is required to run the DVD Test Annex Automated 2.0.

  • WHQL DVD Test Annex Automated 2.0

This DVD can be ordered from http://www.microsoft.com/hwtest/testkits/order.asp

  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the DVD Test Annex Automated 2.0, testers must know how to do the following tasks:

  • Install the Windows XP HCT 10.0.
  • Install the Windows XP Professional operating system from the product CD.

Related Links

Preparing for DVD Test Annex Automated 2.0 testing
DVD Playback testing overview
Credits and Acknowledgements

DVD Resolution Test Image

Microsoft Windows HCL


Preparing for DVD Test Annex Automated 2.0 testing

Before running the DVD Test Annex Automated 2.0 on a test system, you must install and configure the system hardware, install Windows® XP Professional, and install Windows XP HCT 10.0. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the DVD Playback testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for DVD Test Annex Automated 2.0 testing for the Windows XP Professional operating system.

To configure the test system for DVD Test Annex Automated 2.0 testing

  1. Install the Windows XP Professional operating system from the product CD on the test system.
  2. Physically install the hardware or software solution on the test system.
  3. Install the manufacturer-supplied device driver, if necessary, on the test system.
  4. Install the Windows XP HCT 10.0 on the test system.

Related links


Running the DVD Test Annex Automated 2.0 tests

When you run the DVD Test Annex 2.0 from Test Manager, the DVD Test application automatically starts and stops all tests. The DVD Test window provides information such as current test, title, chapter, current time, aspect mode, aspect ratio, and playback rate. Tests are displayed in the adjacent DVD Test Playback window.

A dialog box is displayed as each test is run. Follow the instructions in the dialog box until all tests are completed.

Note: All menus and command buttons in the DVD Test Playback window are disabled. All test functions are controlled automatically by the DVD Test application.

To run the DVD Test Annex Automated 2.0 tests

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select DVD Test Annex Automated v2.0, and then click Add Selection.
  3. Click Start Tests.
  4. When prompted, insert the DVD Test Annex Automated 2.0 into the system DVD-ROM drive.

The DVD Test window and the DVD Test Playback window display.

  5. Follow the instructions in the dialog box until all DVD Test Annex Automated 2.0 tests are completed.
  6. View test log files.
  7. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


DVD Audio test suite

This suite includes tests for these formats:

  • MPEG-1 Layer 2
  • 48-kHz PCM
  • Dolby Digital (AC-3)
  • 96-kHz PCM - Required DVD-Video audio format.

DVD audio test runtime: Each sample lasts for 1 minute and 12 seconds.


DVD Subpicture tests

This suite of tests verifies the functional specifications for the menu overlay subsystem, including:

  • Subpicture Palette (DCS) - Tests a range of subpicture palette assignment values.
  • Default Palette Color Index - Tests three index values on a menu using the default DVD-Video palette.
  • Custom Palette Color Index - Tests three index values on a menu using a custom color palette.

These tests are repeated three times, over a still menu and over two different types of moving menus.

More about the Subpicture tests

Runtime for DVD Subpicture tests: TBD

Test notes

  • Even though Bob mode inevitably causes a certain amount of flicker and line twitter, the overall picture should still be stable.
  • All three tests should work correctly over all three types of backgrounds.


DVD Sequence/Branching tests

This suite of tests includes:

  • Seamless Multi-Angle test
  • Non-Seamless Branching test

This suite tests the two methods supported under the DVD-Video standard for user-selectable scenarios for interactive source material. These test sequences address navigation and buffer management subsystems and also, to some extent, measure the usable throughput of the test device.

Runtime for DVD Sequence/Branching tests: TBD


DVD Graphics and Menu Support tests

Many commercial home videos use of lush moving menus. One bothersome limitation of early player was inconsistent implementation of freeze-frame. This section tests player performance in this area.

This suite of tests includes:

  • Motion Menu – Menu that Ends
  • Motion Menu – Menu that Loops
  • Field/Frame Freeze Weave
  • Field Freeze Bob

Runtime for DVD Graphics and Menu Support tests: TBD


DVD Video Port Performance tests

This suite of tests includes:

  • Excessive Cropping
  • Aspect Ratio
  • Forced letterbox
  • Pan and Scan
  • Film
  • Video
  • Variations/Speed
  • Variations/Discontinuity
  • Variations/Mixed Mode
  • Chapter Breaks

Runtime for DVD Video Port Performance tests: TBD

Good scaling distinguishes home theater products from mainstream Consumer Electronics components. Of the many aspects to scaling performance, several are highly dependent upon the particulars of the content being presented. The encoded picture structure (progressive or interlaced) plays a major role.

This test suite includes a variety of test samples to help isolate the various issues. To address the tricky issue of variations in commercially encoded film-mode MPEG-2 syntax, the DVD Test Annex disc also includes several samples covering a range of laboratory practices and content types.


DVD Decode tests

This suite of tests includes:

  • Numbers
  • X Parade
  • Title Roll
  • Clock 24 fps
  • Clock 60Hz
  • 24fps Film
  • 60Hz Video
  • 4Mb
  • 6Mb
  • 7.95 Mb
  • Highest
  • Low Bit Rate
  • Cycling Bit Rate
  • V-bench
  • Half Horizontal

Runtime for DVD Decode tests: TBD

This final portion of the DVD Test Annex disc takes inventory of the player’s ability to successfully perform its basic function, video playback. Although it is important to watch for solutions that distort edge detail and contour intensity gradients (both of which are symptomatic of inadequate iDCT precision), the most important issue is motion portrayal.

Unfortunately, it is difficult to visually discern whether the test device is delivering smooth motion. Sometimes it’s easy to identify a skipped picture, but it is also important to watch for other defects such as uneven delivery of images. For example, if a playback system repeats or "holds" an image eight times a second, then it is just as broken as a system that periodically skips an image. Unfortunately, it can be difficult to train your eye to recognize this kind of "jitter."

Therefore, for each of the four bit rates under consideration, the test disc provides four different test pattern sequences. The disc also provides continuous tone "real images" in both 24 fps film and 60 Hz video. As mentioned earlier, your best "eye training" might be to watch these sequences on an ordinary TV and learn how they look "normally."


DVD Other Zones tests

This suite of tests includes:

  • 48kmpeg1.mpg
  • AM_Mux_441.mpg
  • AM_Mux_48.mpg
  • Nonreeltimemux.mpg
  • Reeltimemux.mpg
  • Otherspace.mpg
  • UrbanAssault/Robit

Runtime for DVD Other Zones tests: TBD

The DVD-Video standard brings sanity to the chaos of multimedia by imposing limits on the variety of MPEG stream formats and the many ways that they can be multiplexed. However, in a few cases these limits are overly restrictive and conflict with the requirements of other significant PC applications. A PES-compatible DVD PC ought to be able to play program and system stream files. The DVD Test Annex disc includes a few samples that have been formatted to be compatible with other commercially significant systems. These are all located in the \Other directory.


Exclusive Mode Playback test

This test contains a testing sequence to determine if a DirectShow® graph can be built, and play back video in DirectDraw® exclusive full-screen mode. These capabilities enable game developers and interactive content developers to create content in full-screen mode and still play back video within it; for example, to play a movie in a certain room or location within a game.

Important: Playing Moving Picture Expert Group-2 (MPEG-2) files in exclusive mode will fail if the Packetized Elementary Stream Support test has failed.

This table contains the list of Exclusive Mode Playback test cases and descriptions. Test cases with files do not use DVD application program interfaces (APIs).

Test Case | Description
DVD playback | Create IdvdGraphBuilder. Build DVD graph. Start playback in exclusive full-screen mode.
Play an .avi file | Create IgraphBuilder. Build DVD graph by calling RenderFile on the .avi file. Start playback in exclusive full-screen mode.
Play an MPEG-1 file | Create IgraphBuilder. Build DVD graph by calling RenderFile on the .MPEG-1 file. Start playback in exclusive full-screen mode.
Play an MPEG-2 file (Packetized Elementary Stream support in exclusive mode) | Create IgraphBuilder. Build DVD graph by calling RenderFile on the .MPEG-2 file. Start playback in exclusive full-screen mode.
Change color key color | Change color key color, and repeat the above three tests.

Software requirements

DirectX® Media SDK version 6.0, or later.

Run time: 5 minutes

Log file name: Excltest.log

Operating system: Windows® XP Professional

Windows logo requirement: B11.2.5.2, "DVD-Video navigation requirement [Logo Program Clarification]"

Related links

Running the Exclusive Mode Playback test


Janet Jackson: Velvet Rope test

This test verifies that DirectShow® application programming interface (API) handling is correct and that quality is maintained during DVD playback of Phase Alternation Line (PAL) content.

Important: This test is for PAL only.

Run time: 5 minutes

Log file name: Dvdjanet.log

Operating system: Windows® XP Professional

Test assertions: Chapter 6

Related links

Running the Velvet Rope test


John Fogerty: Premonition test

This test verifies that DirectShow® application programming interface (API) handling is correct and that quality is maintained during DVD playback.

Run time: 5 minutes

Log file name: Dvdjohn.log

Operating system: Windows® XP Professional

Test assertions: Chapter 6

Related links

Running the John Fogerty: Premonition test


Lost In Space test

This test verifies that DirectShow® application programming interface (API) handling is correct and that quality is maintained during DVD playback.

The Lost in Space test also includes a test case for Line 21 Closed Caption handling.

Run time: 5 minutes

Log file name: Dvdlost.log

Operating system: Windows® XP Professional

Test assertions: Chapter 6

Related links

Running the Lost in Space test


Packetized Elementary Stream Support test

This test verifies that the decoder can handle raw elementary Moving Picture Expert Group-2 (MPEG-2) streams.

Run time: 1 minute

Log file name: Pestest.log

Operating system: Windows® XP Professional

Windows logo requirements: B11.1.1.4, "NEW (revised – v.0.5) MPEG and video component requirements"

Related links

Running the Packetized Elementary Stream Support test


Web DVD test

This test verifies that the decoder is compliant with the DVD-style Moving Picture Expert Group (MPEG) playback specification.

Run time: 10 minutes

Log file name: Mswebdvdwhql.log

Operating system: Windows® XP Professional

Windows logo requirement: B11.2.5.2, "DVD-Video navigation requirement [Logo Program Clarification]"

Related links

Running the Web DVD test


DirectX Video Acceleration DVD Playback testing overview

These procedures guide you through the process of testing your DirectX® Video Acceleration (VA) digital video disc (DVD) playback decoder solution to handle the demanding loads of multimedia in the Microsoft® Windows® XP Professional operating system. You must run all of the standard DirectX VA DVD playback tests.

Important: You must complete the DVD Playback test procedures in addition to the DirectX Video Acceleration DVD Playback test procedures.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT tools.

Click to show or hide information. DirectX Video Acceleration DVD playback tests

The following tests are required for all DirectX VA DVD playback decoder solutions, and can be run in any order.

  • DirectX VA Decode
  • DVD Configuration

Test suite run time: Approximately 15 minutes

Click to show or hide information. Hardware requirements

The following hardware is required to run the DirectX Video Acceleration DVD Playback HCT kit.

  • Test DirectX VA DVD software or hardware decoder solution

– or –

  • Test Moving Picture Expert Group-2 (MPEG-2) software or hardware decoder solution
  • One Intel Pentium, or equivalent, test system with the following:
  • Minimum 400 MHz microprocessor
  • 256 MB of RAM
  • AGP or PCI capable
  • One keyboard
  • One mouse (or any pointing/drawing device)
  • One audio adapter
  • One minimum 17" monitor with minimum 1024x768x24 bpp resolution
  • One IDE hard disk drive with 4GB capacity, and PIO-4 with DMA capability
  • One DVD-ROM drive

Important: The test system must be included on the Microsoft Windows Hardware Compatibility List (HCL).

  • One 3DLabs Oxygen VX1 PCI display adapter

Click to show or hide information. Software requirements

The following software is required to run the DirectX Video Acceleration DVD Playback HCT kit.

  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Click to show or hide information. Tester knowledge requirements

To run the DirectX Video Acceleration DVD Playback HCT kit, testers must know how to do the following tasks:

  • Physically install the DirectX VA DVD playback hardware or software decoder solution.
  • Install the 3DLabs Oxygen VX1 PCI display adapter.
  • Install the Windows XP Professional operating system from the product CD.
  • Install the Windows XP HCT 10.0.

Development resources

Microsoft DirectX 8 Software Development Kit (DirectX 8 SDK) application programming interface and software

Related links

Preparing for DirectX Video Acceleration DVD Playback testing


Preparing for DirectX Video Acceleration DVD Playback testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows® XP Professional. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the DirectX Video Acceleration DVD Playback testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for DirectX® Video Acceleration (VA) DVD playback testing for the Windows XP Professional operating system.

Perform the following system configuration tasks in the order indicated.

To configure the test system for DirectX VA DVD Playback testing

  1. Physically install the hardware or software solution on the test system.
  2. Install the Windows XP Professional operating system from the product CD on the test system.
  3. Install the 3DLabs Oxygen VX1 PCI display adapter on the test system.
  4. Install the Windows XP HCT 10.0 on the test system.


DirectX VA Decode test

This test verifies that the decoder implementation is compliant with the DirectX® Video Acceleration (VA) specification.

Important: This test is required only if the DirectX decoder supports hardware acceleration.

Run time: 5 minutes

Log file name: DXVADecoderTest.log

Operating system: Windows® XP Professional

Windows logo requirement: B11.1.1.4, "4 NEW – v.0.5 If present in the system, software MPEG decoders must use the DirectX VA API to communicate with the graphics chip’s video acceleration functions"

Hardware requirements

One 3DLabs Oxygen VX1 Permedia3 PCI display adapter


Video input and capture testing overview

These procedures guide you through the process of testing your product for proper functionality under the Microsoft® Windows® XP Professional operating system. You must run all of the standard video input and capture tests.

If your product provides bus-specific support, run the appropriate bus-specific tests in addition to the standard tests.

If the test device is multifunctional, you must complete the test procedures for each functionally independent, logical device. For example, a keyboard that contains a glide pad must complete the keyboard tests and the pointing drawing tests.

The test procedures are divided into a testing overview topic, a preparing for testing topic, a test description topic, and a running the test topic.

The testing overview topics include links to detailed descriptions of all tests run in a particular configuration, hardware requirements, software requirements, and tester knowledge requirements. The preparing for testing topics include specific instructions for configuring the test system for testing. The test description topics describe the function and purpose of the test. The running the test topics include instructions for running the HCT tools.

Click to show or hide information. Standard video input and capture tests

The following tests are required for all video input and capture test devices, and can be run in any order.

  • ACPI Stress - Device I/O (Extended)
  • AMCAP Video Capture
  • ChkINF
  • Driver Verifier
  • Enable/Disable - Device I/O (Video Capture)
  • GraphEdit
  • Public Import
  • Signability
  • Surprise Removal
  • Video Input
  • WDM Video Capture Suite (Iris)

Click to show or hide information. Bus-specific tests

These additional test categories are required if the test device provides support for the bus.

  • IEEE 1394
  • CardBus/PCMCIA
  • PCI
  • USB

Test suite run time: Approximately 20 to 30 minutes

Click to show or hide information. Hardware requirements

The following hardware is required to run the Video Input and Capture HCT kit.

Additional hardware may be required if the test device provides bus-specific support. See the testing overview for CardBus/PCMCIA Controllers, IEEE 1394 Controllers, USB Controllers, or USB Hubs to determine if there are additional hardware requirements.

  • One video input and capture test device

Two test devices are required if the test device is USB capable.

  • One Intel Pentium, or equivalent, test system with the following:
  • Minimum 500 Mhz microprocessor
  • 256 of RAM
  • Logo-compliant ACPI BIOS, with ACPI mode enabled by default
  • Minimum 8 GB IDE (with DMA) or SCSI subsystem
  • Minimum 24x CD-ROM drive or minimum 2x DVD-ROM drive
  • Audio adapter
  • 21" monitor with 1024x768x32 bpp resolution
  • One keyboard
  • One mouse (or any pointing/drawing device)

Important: The test system must be included on the Microsoft Windows Hardware Compatibility List (HCL).

  • One S-VHS video tape recorder (VTR) with composite, coax/CATV, and S-Video outputs/inputs
  • Cable television signal, if the device implements a television tuner – NTSC, PAL, SECAM, or ATSC
  • One S-Video cable, composite video cable, or custom-made cable
  • One FoxFire II PCI adapter

Important: The following hardware is not required at this time because the Video Input test that uses this hardware is not available in the Windows® XP HCT 10.0.

  • One television monitor (optional)
  • One DVD consumer player with composite and S-video outputs

Each DVD player uses a different method of color space conversion in comparison to methods used by other players. These different methods can result in color space conversion test failures; therefore, the following list provides recommended players that have been used successfully in testing:

Sony DVP S360

Panasonic A120

Philips 950AT

Philips 400AT

Pioneer DV-414

Pioneer DVL-909

Click to show or hide information. Software requirements

The following software is required to run the Video Input and Capture HCT kit.

  • One prerecorded videocassette or prerecorded video disc
  • Latest revision of major multimedia authoring applications, such as Adobe Premiere 5.1, Asymetrix Digital Video Producer, EZv2, by Homrich (for devices that support VISCA), or other software that supports Microsoft DirectShow® 2.0 video capturing
  • Any capture software that will be bundled with the test device
  • Any drivers that do not ship with Windows XP Professional
  • Windows XP Professional operating system
  • The current release of the Windows XP HCT 10.0

Important: The following software is not required at this time because the Video Input test that uses this software is not available in the Windows® XP HCT 10.0.

  • Joe Kane’s "Video Essentials" DVD title

Click to show or hide information. Tester knowledge requirements

To run the HCT for video input and capture, testers must know how to do the following tasks:

  • Physically install the test device.
  • Install the manufacturer-supplied device driver, if necessary.
  • Physically install the FoxFire II PCI adapter.
  • Install the Windows XP Professional operating system from the product CD.
  • Install multimedia authoring applications
  • Install the Windows XP HCT 10.0.

Click to show or hide information. Development Resources

  • Microsoft DirectX® Software Development Kit (DirectX SDK) application programming interface and software
  • Microsoft Driver Development Kit (DDK) for Windows XP Professional


Preparing for video input and capture testing

Before running the Hardware Compatibility Tests (HCT) on a test system, you must install and configure the system hardware, and install Windows® XP Professional. This section summarizes the related requirements and procedures.

For a complete list of required hardware, software, and tester knowledge, see the Video input and capture testing overview.

Test system configuration

The HCT kit requires the following to prepare the test system for video input and capture testing for the Windows XP Professional operating system.

To configure the test system for video input and capture testing

  1. Install the Windows XP Professional operating system from the product CD on the test system.
  2. Physically install the test device on the test system.
  3. Install the manufacturer-supplied device driver, if necessary, on the test system.
  4. Install the FoxFire II PCI adapter on the test system.
  5. Install the multimedia authoring applications on the test system.
  6. Install the Windows XP HCT 10.0 on the test system.

Related links

Video input and capture testing overview


AMCAP Video Capture test

This test is a set of automated and manual capture tests for the ActiveMovie® 2.0 application programming interface (API). The AMCAP Video Capture test supports both Video for Windows® (VFW) and Windows Driver Model (WDM) capture filters. It evaluates typical user activities, such as capturing; pausing, stopping, and playing back.

The AMCAP Video Capture test also checks return values.

Run time: 10 minutes

Log file name: amcaptst.log

Operating system: Windows XP Professional

Windows Logo requirement: B11.3, "TV Tuner"

Hardware requirements

  • One S-VHS video tape recorder (VTR) with composite, coax/CATV, and S-Video outputs/inputs
  • Cable television signal, if the device implements a television tuner – NTSC, PAL, SECAM, or ATSC
  • One S-Video cable, composite video cable, or custom-made cable

Software requirements

One prerecorded videocassette or prerecorded video disc

Related links

Running the AMCAP Video Capture test


GraphEdit

Important: This test is not available for your test device in the Windows® XP HCT 10.0.

This utility builds the graph file used in the Video Input test. Do not use the GraphEdit utility with Phase Alternation Line (PAL) sources.

Important: The GraphEdit utility must be run before running the Video Input test.

Run time: 5 minutes

Log file name: no log file is created

Operating system: Windows® XP Professional


Video Input test

Important: This test is not available for your test device in the Windows® XP HCT 10.0.

This test is designed for analog input solutions, specifically S-video and composite. The test accepts input from the "Video Essential" DVD, and verifies that the capture device supports the correct formats, data rates, image orientation, and quality as defined in the Windows® Logo for Hardware Program requirements.

Important: The GraphEdit utility must be run before running the Video Input test.

Run time: 5 minutes

Log file name: videoin.log

Operating system: Windows XP Professional

Test assertions: Chapter 6

Hardware requirements

  • One DVD consumer player with composite and S-video outputs
  • 670 MB of available hard disk drive space
  • One S-Video cable, composite video cable, or custom made cable
  • One television monitor (optional)

Important: It is recommended that you connect both the test device and a television monitor to the DVD consumer player to verify DVD player output.

Software requirements

  • Joe Kane’s "Video Essentials" DVD video title
  • The .grf file created from running the GraphEdit utility

Related links

Running the Video Input test

Joe Kane Productions


WDM Video Capture Suite (Iris) test

This test uses Microsoft® DirectShow® application programming interface (API) to manipulate a capture driver in many different ways, verifying return values and settings while applying stress on the system capture architecture.

When the Video Capture Suite tests are initialized, the capture interfaces that support the current device are determined. If the interface is supported, specific tests and a property sheet for the interface in the test dialog are then initialized. The following capture interfaces are tested: Video, ProcAmp, CameraControl, StreamConfig, MediaControl, VideoControl, TVTuner, and Microphone.

Run time: 20 minutes

Log file name: Iris.log

Operating system: Windows® XP Professional

Windows logo requirements: B11.1.1.1, "Device support is based on DirectX® foundation class and WDM stream class"

Related links

Running the WDM Video Capture Suite (Iris) test


Untitled

DVD Playback Resolution Test Images

The following resolution test images are used when running the Test Annex Automated 2.0 test from the Windows® XP HCT 10.0.

Resolution Test Image. This is a copy of the Resolution Test Image. Depending on the fidelity of the system used to display this document, it should be relatively free of moiré patterns. Notice that the fine lines at the tip of the right wedge are undistorted and carry some detail. That is also what you will see if the test device supports Weave, true freeze-frame, or both.

Freeze-field Test Image 1. This is a freeze-field. Notice the solid white "valve shape" that has formed near the tip of the right wedge.

Freeze-field Test Image 2. This image above is also a freeze-field. Here the "valve shape" near the tip of the right wedge has turned black. Only a true freeze-frame will show clear detail at the tip of the right wedge. In an ideal system employing Weave mode, the tip of the right wedge will be sharp and clear during running footage. In Bob mode, the tip of the right wedge will be a complex and flickering pattern. If the test device is delivering skip-field video, then running footage will resemble one of these two freeze-field illustrations.

If running footage shows the black or white "valve shape," then the test device is an unacceptable skip-field system.

Resolution Test Image - 13.5 MHz. While the image is being scaled down, watch out for defects such as the horizontal and vertical dashed lines shown here. Good DVD playback solutions should never "tear" or "wrinkle" the movie.


Running the Bus Mastering test

To run the Bus Mastering test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Bus Mastering, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed until the test is completed.
  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Exclusive Mode Playback test

To run the Exclusive Mode Playback test

  1. Insert any DVD title in the DVD-ROM drive.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select Exclusive Mode Playback, and then click Add Selection.
  4. Click Start Test.
  5. Follow the instructions displayed until the test is completed.
  6. When the test is completed, view test log files.
  7. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the John Fogerty: Premonition test

To run the John Fogerty: Premonition test

  1. Remove any DVD title from the DVD-ROM drive.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select The John Fogerty, and then click Add Selection.
  4. Click Start Tests.
  5. Follow the instructions displayed until the test is completed.
  6. When the test is completed, view test log files.
  7. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Lost In Space test

To run the Lost In Space test

  1. Remove any DVD title from the DVD-ROM drive.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select Lost In Space, and then click Add Selection.
  4. Click Start Tests.
  5. Follow the directions displayed until the test is completed.
  6. When the test is completed, view test log files.
  7. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Packetized Elementary Stream Support test

To run the Packetized Elementary Stream Support Information test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Packetized Elementary Stream Support, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed until the test is completed.
  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Janet Jackson: Velvet Rope test

To run The Janet Jackson: Velvet Rope test

  1. Remove any DVD title from the DVD-ROM drive.
  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select the Janet Jackson: Velvet Rope, and then click Add Selection.
  4. Click Start Tests.
  5. Follow the instructions displayed until the test is completed.
  6. When the test is completed, view test log files.
  7. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Web DVD test

To run the Web DVD Information test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Web DVD, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed until the test is completed.
  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


About the Subpicture tests

Subpictures are two-bit per pixel graphic surfaces that carry a set of eight assignments. These map the two-bit pixels into the menu’s 16-color pallet and into one of 16 contrast (transparency) levels. The menu’s 16-color pallet can be a DVD-Video default pallet or it can be a custom palette filled with any set of 16 RGB values. These RGB values can be defined to24-bit precision. Each subpicture can have its own unique set of pallet assignment values.

Each DVD-Video menu can:

  • Establish its own custom pallet.
  • Contain one or more subpictures.
  • Define one or more rectangular highlight areas.

These can override the subpicture’s native pallet assignments. Each menu contains at least two sets of pallet assignment values called "selection" and "action."

Usually, arrow keys are used to select one of several highlight areas. The menu-specific selection pallet assignments radically change the look of the selected part of the subpicture, which lies within the "hot" highlight area. This allows the user to easily identify the hot area. Then the user can press a button (sometimes labeled Enter) to take action on the selected item. The menu-specific action pallet assignment again changes the look of the subpicture in that hot area. This change provides user feedback for the Enter button.

Each menu can have up to three different groups of "selection" and "action" pallet assignment values, called Index One, Index Two, and Index Three. Technically, having three pairs allows different color schemes to be used for the different groups of button positions related to each of the three different display modes (pan/scan, letterbox, and full-frame 16x9). However, the DVD Test Annex menu allows you to move directly between Index One, Index Two, and Index Three buttons without having to change the display mode setting.

The performance of the test device’s subpicture subsystem can be affected by the background design. Therefore, the tests include three different types of backgrounds. The still background can be easily distinguished from the two moving backgrounds by a white clock that appears only on the moving backgrounds.

The moving menus encoded in film mode have the word "Weave" in their title. On the custom and default palette tests, this title appears in the Index Tab near the upper left of the test pattern. The moving menus encoded in video mode have the word "Bob" in their title. In both of these tests, the animated clock is located to the right of the Index Tab design.


Running the Chapter Breaks test

Many popular movies contain a quirk that slightly detracts from an otherwise flawless Weave mode experience. In an ideal world, the presence of various chapter entry points throughout a feature should not introduce any disruptions in the film mode cadence of the encoded stream.

While chapter entry points must have a specific relationship relative to the GOP structure of the encoded stream, in theory GOP structure boundaries can be arbitrarily altered without disturbing the regular pattern of film mode flags. The problem stems from the fact that these film mode structures don’t necessarily have a counterpart in the world of baseband video.

As a practical matter, to permit a regular pattern of film mode flags, the chapter entry points should always fall on AA or BB frames. Unfortunately, the studio creative departments responsible for publicity and home video don’t necessarily have the equipment to identify AA and BB frames. These departments focus on picking appropriate thumbnail images for the menus, they write the chapter descriptions that often appear in the pamphlet that accompanies the disc, and they perform many other creative tasks. They may be working from VHS copies of the master videotape. They report their log of ideal chapter entry points in the form of television time code.

Often, the relationship between these log entries and the A-frame pattern of the videotape is only determined when the various production elements are collated at the encoding facility. Diligent intervention at that point (adjusting the chapter entry points a little this way or that) produces the finest results. Many great films can be enjoyed from end to end in uninterrupted Weave mode.

Unfortunately, even the most diligent humans are imperfect and so is the film mode cadence on some popular discs. The DVD Test Annex disc includes two examples of how chapter breaks can coincide with brief interruptions in film mode cadence.

Although it is not required that DVD playback solutions include adaptive mechanisms that cover up these brief encoding lapses, designers are strongly encouraged to make full use of these two samples. Defects such as these regularly occur, and they have distinct characteristics that can be readily identified.

It is recommended that your design accommodate long-form film mode programs that contain brief transitions to video mode such as these. It might be prudent to temporarily increase a time delay that might adaptively alter your switch from Weave into Bob and back. Although the chapter break perturbation may include as many as 20 frames of material encoded in video mode, it is unlikely that you will find more than two or three pairs of MPEG pictures that are actually images of "pulldown frames."

In fewer than 40% of cases, the chapter breaks force the encoder to generate one or two MPEG pictures that should not be shown in Weave. When this occurs, the location of these "pulldown frames" will always have a distance that is one or two frames, modulo five, after the last picture that was flagged progressive_frame=true, top_field_first=true, repeat_first_field=true. In other words, the encoded BC or CD pictures, if they exist at all, have a known offset after the last B picture.

Alternate 1

Alternate 1 is the case to closely scrutinize, because many popular titles behave exactly like this sample. In consideration of the relationship between the A-frame and the chapter entry points, the chapter breaks on the test disc were deliberately placed at four incremental points relative to the film mode cadence. Three of these four locations break the film mode pattern. The encoder disabled film mode encoding for approximately 5-8 frames before and after these points.

The first chapter entry point occurs 5 seconds after the start, the second occurs 12.5 seconds later, and the third and fourth happen at 12.5 second intervals after that. At the start of the clip, the resolution test image is positioned at 9:00 relative to the overall picture framing. Five seconds later, it has moved to 3:00, and the first chapter entry point falls on a BB frame. This causes little or no problem.

As the moving resolution test image continues on its course, it completes a full pass before the next chapter entry point occurs. After it has moved 1.25 times, passing through the 3:00 position without incident, it comes to the 6:00 position. At that point, the next chapter break occurs, this time falling on a BC frame. On many DVD playback solutions, a brief lapse in Weave mode will appear at this point.

After the moving resolution test image has moved 1.25 times, passing through the 6:00 position without incident, it comes to the 9:00 position. At that point, the next chapter break occurs, this time falling on a CD frame. On many DVD playback solutions, a brief lapse in Weave mode appears at this point.

After the moving resolution test image has moved 1.25 times, passing through the 9:00 position without incident, it comes to the 12:00 position. At this point, the next chapter break occurs, this time falling on a DD frame. On many DVD playback solutions, a brief lapse in Weave mode appears at this point.

Alternate 2

The syntax in Alternate 2 is not representative of current commercially available discs. However, it is included here as it might be an indication of things to come. It was produced in a manner nearly identical to Alternate 1.

The only difference is that the encoder was set to attempt to automatically compensate for the location of the chapter entry points by rapidly adapting the film mode cadence. However, the actual placement of the break was not allowed to be moved. It appears that on the aberrant chapter points, the encoder turned off the progressive flag for only 2 frames rather than 10-15 frames.

Related links

DVD Video Port Performance tests


Running the MPEG-1 Layer 2 test

Test notes

Optional format for DVD-Video, it is designed for use where 525/60 is the standard format. This clip is ordinary discreet stereo.

Related links

DVD Audio test suite


Running the 48 kHz PCM test

Test notes

Required DVD-Video format. This clip is an ordinary 16-bit example.

Related links

DVD Audio test suite


Running the Dolby Digital test

Test notes

  • Widely used format. This suite includes four tests:
  • Multi-track stereo - Widely used format. This suite includes eight tests, including eight versions of loud "space music," encoded as ordinary stereo tracks using a software Dolby Digital encoder.
  • 5.1 - Spoken-word recording that identifies each of the five channels.
  • DialNorm - Test for line output, testing the mechanism that controls the signal gain at the line output jack.
  • DRC - Test for analog line output, testing dynamic range control on Dolby Digital decoders, which can be used reduce the dynamic range of audio such as motion-picture soundtracks on commercial DVD discs.

Related links

DVD Audio test suite


Running the Multi-track Stereo test

Test notes

  • If the test device is a fully functional DVD solution, use the buttons to switch between the eight tracks.

If the buttons do not work for the current test device, use the player’s native control (or "language") to switch between the audio tracks.

Both methods of track switching allow the music to continue to play.

  • The transitions between the eight clips should sound natural and clean.
  • Switching should occur promptly and should not cause excessive gaps or produce clicks. The music should continue to play without skipping or repeating a beat.
  • The unit should not skip forward or jump back to the head of the test clip.


Running the 5.1 test

Test notes

  • If the test device has a stereo line output jack, then by default the signal on that jack will be Pro Logic compatible.
  • The front and rear voices should be reproduced with correct directionality when an external Pro Logic stereo system is used.
  • If the test device has Dolby digital output, then the directionality of and separation between the voices should not be compromised when monitored using an external Dolby Digital-equipped amplifier.


Running the DialNorm test

Test notes

Caution: This test signal begins loud and gradually fades out.

  • This test applies only to line output. This test does not apply for SPDIF Dolby Digital output; DialNorm is not required to be enabled on external Dolby Digital-equipped amplifiers.
  • The test device should have the DialNorm gain control mechanism turned on by default.
  • If the signal does not seem to fade out during the test, then the DialNorm mechanism in the test device is not functioning correctly.


Running the DRC test

Test notes

Caution: This test begins with a loud tone. The DialNorm value for the tones is set to t–31dB, which causes the tones to be reproduced at the loudest. Exercise caution during this test.

  • This test applies only for analog line output. This test does not apply for SPDIF Dolby Digital output; DRC is not required to be enabled on external Dolby Digital-equipped amplifiers.
  • The test device should ship with the dynamic range and overload control mechanism turned on by default. Metadata included in the Dolby Digital stream allows the studios to alter the time constants of this mechanism and tot override the player’s DRC subsystem.
  • The absolute signal level of the DRC Deactivated tone is ~17db lower than the DRC Activated test tone. The DRC Deactivated tone carries meta-data that disables the dynamic range and overload control mechanisms of the test device.
  • If the test device is configured properly, then the DRC Deactivated tone might be reproduced at about the same volume as the DRC Activated test tone. The DRC Deactivated tone might also be slightly louder than the DRC Activated test tone.
  • If the DRC Deactivated tone is substantially softer than the DRC Activated test tone, then the unit’s overload controls, dynamic range controls, or both are not configured properly.


Running the 96-kHz PCM test

Test notes

  • The bit rate of the accompanying motion menu was reduced to accommodate the high bit rate of the uncompressed audio sample.

Important: Because this recording is soft, turn the volume down after completing this test.

  • The piano should have a clear, bell-like tone.

Listen for any evidence of ringing or distortion, which would be evidence of poor-quality sample rate conversion.

  • The vocal should be clear, not harsh, and it should be free of any rasping or buzzing.

Related links

DVD Audio test suite


Running the Subpicture Palette (DCS) test

Test notes

  • This test is built on a single menu that does not place a highlight area around the portion of the image being tested.

The word "Test" should dissolve into the background gracefully without changing the texture or color of the overall image.

  • The menu moves through 12 different subpictures.
  • This test should work for all three of the palette assignments offered: read, green, and blue.

Related links

DVD Subpicture tests


Running the Default Palette Color Index test

This test and the Custom Pallet Color Index test are identical, except for the different color selections

Test notes

The smaller color reference box on the right side shows the color scheme that each box should reveal when highlighted. Each box has its own selection and action color schemes.

Related links

DVD Subpicture tests


Running the Seamless Multi-Angle test

This method of content formatting allows perfect transitions among nine alternate content threads. The intent of DVD-Video is to allow the user to switch at full play speed without damaging the program flow.

A fundamental characteristic of the scheme is that it only changes the picture. This format provides no direct mechanism for also switching audio.

This test sequence consists of multiple views of a single short cartoon. The sequence is rendered from several camera positions.

These samples were encoded at ~6Mb/sec in video mode. When such a sequence is authored with a timing granularity of 1 second, the maximum bit rate of each alternate content thread is lower than it would be at 1.5 seconds. This trade-off reflects the DVD-Video design limits regarding the player’s buffer management subsystem.

Test notes

  • The angle three render (and possibly others) have noticeable image defects. If tearing or image splitting occurs during fast motion, this is probably not a playback artifact.
  • Switching between "angles" should not disturb the apparent progress of the stop-watch animation in the lower right corner of the screen. The transitions should be completely free of hesitation or skipping.
  • The latency period from the time you click until you see the picture switch should be reasonable. On an excellent system, the stop watch will cross 12:00 once or twice but not three times before the on-screen angle view changes.

Related links

DVD Sequence/Branching tests


Running the Non-seamless Branching test

This method of content formatting allows easy navigation among up to nine alternate content threads. Although it can be reproduced nearly seamlessly on some players, the intent for this DVD-Video format is to achieve navigation flexibility similar to that of a simple set-top DVD player.

Using this format, several high bit-rate sequences can be related to a single timeline without compromising bit rate or latency. There is no requirement that set-top DVD playback devices deliver seamless performance during these switches; however, PC-based DVD playback implementations might often approach that level of performance.

The non-seamless branching sequence presents nine versions of a section of the Robit cartoon, with five distinct angles plus four additional views with distinguishing text.

A fundamental characteristic of this particular scheme is that it can be used to change picture and sound together. The first five angles carry distinct audio perspectives; the remaining four have incidental music.

Test notes

  • A slight pause or hesitation is normal, but there must be no skipping, jerking, or other abrupt distractions when switching from one angle to another.
  • The time lag from selection of angle to presentation should be no longer than two seconds.
  • Certain versions of the DirectShow® navigator API used in Windows® 98 Second Edition and earlier prevent the angles from changing. This sequence can be ignored when using the older DirectShow navigator. Other navigators should be able to pass this test.

Related links

DVD Sequence/Branching tests


Running the Motion Menu – Menu that Ends test

This test uses a single, short running video sequence as a background.

Test notes

  • The overall functionality of the menu should not be affected by the presence of the background video.
  • The Menu That Ends menu item should also function as a normal menu. Unless you explicitly act upon a highlight button, nothing should change.
  • The menu should display the text "This motion menu will stop after 20 seconds." These words will disappear when the background video completes its pass. At that point, the player should return to the previous menu and the player should continue to work normally.

Related links

DVD Graphics and Menu Support tests


Running the Motion Menu – Menu that Loops test

This test uses a looping video sequence as a background.

Test notes

  • The looping menu should behave in a stable manner:
  • The background video of both the long and short examples should flow seamlessly.
  • There should be no breakup or jump at the loop point.
  • The buttons should function normally.
  • If there is a slight interruption at the loop point, then all functions must recover immediately, including the current button highlight.

Related links

DVD Graphics and Menu Support tests


Running the Field/Frame Freeze Weave test

This test verifies these performance capabilities:

  • Proper reproduction of the field structure of interlaced video
  • Quality of the freeze-frame when a menu or program is paused
  • Quality of the freeze-frame as a match for the running footage that surrounds it

More about the Running Field/Frame Freeze Bob and Weave tests

Test notes

  • By default, the 30-second test pattern sequence plays in an endless loop. Even though it doesn’t move very much, it was encoded as film-mode material, creating an MPEG stream that resembles a typical commercial DVD release.
  • Pay close attention to the tip of the wedge on the right. It must not take on a "valve" shape. (See the resolution test image and the freeze-field illustrations.) The appearance of a black or white valve shape while the footage is running indicates that the test device is delivering skip field video. Skip field presentation of running footage is not acceptable.
  • When testing for a possible fluttering pulldown frame, the sweep hand of the clock must never stop in a position that appears to be unstable, combed," or feathered in any way.

Related links

DVD Graphics and Menu Support tests


Running Field Freeze Bob

More about the Running Field/Frame Freeze Bob and Weave tests

Test notes

  • The tip of the wedge on the right of the Field Freeze Bob sample will not look perfectly detailed, but it must not have the static valve shape of the freeze-field examples. If you need a point of reference, play this same sequence on an ordinary television.
  • Because it is encoded as continuous-field video, it is presumed that the Field Freeze Bob sample will be presented in Bob mode. If the test device presents this clip in Weave mode, then that device will likely fail the moving image exercises in the Video Port Performance tests.
  • Pay special attention to image stability. Even though Bob mode inevitably causes a certain amount of flicker and line twitter, the overall picture should still be stable. Watch for any sign of the picture jiggling up and down.
  • Unlike the Field/Frame Freeze Weave clip, for this test the test device must not deliver a freeze-frame. To assure that only a single instant in time is presented, a freeze-field is generally required when pausing continuous field video
  • When you pause the unit, the tip of the wedge on the right should stop flickering and a fixed black or white valve shape should appear. If it does not, inspect the clock for signs of a fluttering pulldown frame. The sweep hand of the clock must never stop in a position that appears to be blurred, unstable, combed, or feathered in any way.

Related links

DVD Graphics and Menu Support tests


About the Running Field/Frame Freeze Bob and Weave tests

Bob vs. Weave

These tests both have an animated clock in the upper left corner. To help you distinguish one test from another, the word "Bob" or "Weave" is included in the title. On an excellent playback system, the Field/Frame Freeze Weave test sequence will be presented in Weave mode; but on many acceptable systems, both sequences will be presented in Bob mode.

Weave mode (also known as "progressive," "persistence," "interleave," or "static mesh") makes the motionless wedge on the right appear sharp and absolutely stable, down to the tip.

Bob mode (also known as "field by field interpolation," "interlace," or "de-interlace") makes the tip of the wedge flicker and causes a line twitter effect similar to what is seen when small type is shown on ordinary interlaced TV sets.

In an ideal system, the Frame Freeze Weave running footage will be presented in Weave and therefore may look identical when paused. As a check, compare this sequence against the resolution test image. However, it is acceptable for film-mode running footage such as the Frame Freeze Weave sample to be displayed in either Bob or Weave.

In the resolution test image samples, two samples reproduced a test image in freeze-field. In one, the valve shape is white and in the other it is black.

Freeze-field vs. freeze-frame

In addition to the issue of Bob and Weave, there is the issue of freeze-field verses freeze-frame. For a pause to resemble the Frame Freeze Weave running footage (or the resolution test image), it is necessary for the test device to offer a freeze-frame.

In an ideal system, clicking the player’s native pause control during the Field/Frame Freeze Weave test would produce a freeze-frame rather than a freeze-field. If the player produces a freeze-frame, then the overall picture quality should match the running footage. In some cases (such as when running footage is presented in Bob), the wedge on the right may appear to become more sharp and stable when playback is paused in a freeze-frame.

If the test device delivers a freeze-field instead of a freeze-frame, then the look of this sequence will change radically when paused. The valve shape mentioned earlier will appear. Although unacceptable for running footage, this is an acceptable situation in a freeze. Although not as sharp as a freeze-frame, a freeze-field is acceptable.

Even if the test device delivers a freeze-frame, there is an additional requirement to watch for. Certain freeze-frame schemes carry a two in five risk that the test device will straddle two adjacent points in time when you pause play. This causes a fluttering "pulldown frame," which you can test for by pausing and unpausing the unit several times.

Continuous-field 2-to-1 interlace video in Bob mode

It is not possible to illustrate separate from the tests the appearance of continuous-field two-to-one interlace video as presented in Bob Mode. It does not quite resemble any of the three resolution test images, because fine edge detail flickers on and off at 30Hz in continuous field video.


Running the Excessive Cropping test

These tests help determine whether the minimum requirements are being met for displaying the safe title area, and also reveal whether unwanted artifacts are added to the edge of the frame.

More about the Excessive Cropping test

Test notes

  • The outer rectangular box represents the safe action area. The inner rectangular box represents the safe title area. The entire safe action area should be visible in all four of the cropping test samples (352x240, 720x480, 704x480, and 352x480).
  • None of the samples should appear to have any extraneous borders, lines or patterns around the edge.

Related links

DVD Video Port Performance tests


About the Excessive Cropping test

It is important to display at least the entire safe title area. It is desirable to display the entire active picture area, but this can be tricky, particularly for some of the encoded picture sizes. To assure consistency, all the tests in this section originated from a single piece of artwork. The native size of that bitmap was 720h x 486v. One legend on the art indicates the limits of active picture area for the best case, 720x480. For the other three cases, the darts at the ends of the line marked 704 should be used.

The 480 line clips were encoded on a high quality, industrial grade encoder at 6Mb/sec CBR 15 frame closed GOP. The 352x240 clip was encoded at 1.14Mb/sec. These sequences loop every 30 seconds.

Normally, the 352x480, 704x480, and 352x240 samples will carry slightly less picture width than the 720x480 sample. The two sets of arrowheads at the sides of the frame illustrate this. All of the 720 arrows and the 704 arrows will be completely visible in the 720 sample.

In the 704 and 352 samples, expect the head of the 720 arrows to be clipped. On an ideal system, the heads of the 704 arrows should be completely visible whenever video is presented inside a window.


Running the Aspect Ratio test

Because many DVD-Video feature films are scanned full frame for optimal presentation on widescreen (1.78 to 1) displays, a format correction mechanism must be porivded. (Sometimes this sort of home video material is called "anamorphic.") When the full width of a conventionally shaped (1.33 to 1) display is used, the solution can be either to crop the sides of these movies or to "zoom out," leaving black bands at the top and bottom. The commands to enter this mode are part of the movie’s navigational structure.

Player support for scaling full frame wide-screen versions onto conventionally shaped monitors is a requirement.

Related links

DVD Video Port Performance tests


Running the Forced Letterbox test

This test sequence has a circle and a horizontal line superimposed over the image of an auto race.

Test notes

  • Whether you view the auto race sequence full screen or in a window, the circle should be round and the arrowheads at both ends of the horizontal line should be visible.
  • The important case is the one where a conventionally shaped display is being used. In this configuration, the DVD solution under test must scale down widescreen material vertically by an extra ~25%.

In some implementations, the selected display device may already have a 16x9 aspect ratio. In this situation, the forced letterbox sequence ought to be reproduced full screen without any special added vertical scaling. The forced letterbox test sequence isn’t specifically designed to address that special case.

Related links

DVD Video Port Performance tests


Running the Pan and Scan test

Although the mainstream entertainment industry never uses Pan and Scan, DVD-Video requires support for downstream Pan and Scan in the playback device. Therefore, a feature film scanned full frame for optimal presentation on widescreen displays can theoretically be presented on conventionally shaped monitors by cropping side information in the playback device. The DVD-Video disc is programmed with image centering instructions, which forces the player to slide the image left and right.

The underlying design premise is that Hollywood would program onto the disk the same sort of center point movement controls that are routinely only programmed directly into telecine transfer equipment. Traditionally, when feature films are "formatted to fit your screen," a special home video master is created with framing that exactly matches the framing you see at home on the VHS cassette. This technique can be referred to as "Pan and Scan in Transfer," because the composition of the movie is altered inside the telecine transfer equipment. The ideal for downstream Pan and Scan is that the playback device could perform these exact same movements in the home.

If this really worked, it could eliminate the need for special home video master tapes. The single version, which would be scanned full frame for optimal presentation on widescreen displays, could satisfy every DVD customer. Even customers who own conventionally shaped displays and prefer the look they get from the current practice of Pan and Scan in Transfer, would see the kind of image they prefer. Each home player would perfectly simulate, in real time, the cropping and reformatting that is currently performed only by experts in Hollywood labs.

Unfortunately, while these experts routinely do much more, simple cropping and horizontal re-centering is all that the DVD-Video specification defines. Except for a handful of menus, no commercial discs contain the necessary commands to enter this mode.

A test sample may be included in a future version of this disc.

Related links

DVD Video Port Performance tests


Running the Film test

The Film test (and the subsequent tests in this section) consists of an animated version of the resolution test pattern that was introduced in the Field/Frame Freeze test. This test pattern poses a frequency response and phase response challenge to any television system.

More about the Film test

Test notes

  • Even if the test device produces a freeze-field rather than a freeze-frame, the device should not deliver skip field television while footage is running. It is acceptable for running footage to have a slight blurring of the right wedge. However, if the test device makes running footage look like a freeze-field (and therefore is delivering skip field video), then do not complete the remainder of the film mode tests.
  • Some DVD solutions cut corners by horizontally decimating the image. The left wedge of the can expose this undesirable practice. A properly running system should display the left wedge in the Field/Frame Freeze test sequence clearly almost all the way to the top. The wedge should appear to be crisp and free from any moiré patterns at least up to the 360-line mark.
  • Watch out for signs of "tearing" or "wrinkling" in the resolution wedges. (See the Scaling test image)
  • If stability, detail and freedom from moiré is maintained while the image moves around, then the test device is superior. The edges of the left wedge should appear straight and free from any ripples, banding or serration. (Sometimes this sort of defect is called feathering, combing or a "zipper effect.")
  • Carefully examine the wedge on the right for evidence of flicker or "line twitter." This is similar to the evaluation performed during the Field/Frame Freeze Weave tests. If the wedge on the right looks exactly like the resolution test image, then the test device is delivering 480p, which is the ideal case.
  • A Bob mode scaling scheme will tend to blur. It will also cause the right wedge to flicker and to exhibit "line twitter." However, this is acceptable if the degree of flicker, fuzziness, and so on is no worse than what we would get on a conventional 2-to-1 interlace TV.

Related links

DVD Video Port Performance tests


About the Film test

An important value-add hardware opportunity exists in film mode scaling. Virtually all commercially significant DVD titles are created from A-frame coherent videotape masters. These disks can and should be treated as 480p objects. They should be scaled onto the overlay surface in a fashion that preserves the temporal and spatial structure of their encoded MPEG-2 pictures. Properly executed, this practice upgrades the objective and subjective image quality in very meaningful ways.

However, this particular scaling strategy must be implemented with care and forethought. There is a small but significant body of work in circulation that was not created from A-frame coherent masters, and even among A-frame coherent titles there are a few discs that employ a somewhat convoluted MPEG-2 film mode syntax.

The DVD Test Annex disc includes samples of the "basic" and "alternate" cases that ought to be addressed. The goal is to capture every commercially significant combination of content type and encoded syntax.

The test pattern contains two resolution wedges. Each wedge is composed of 19 elements that, at any one point, represent a sinusoidal pattern of rising and falling intensity.

Unlike previous television test signals that have used sine waves, this pattern is extremely difficult to reproduce. There are two "tricks" to the resolution test pattern:

  • Unlike conventional multiburst signals, the background of this resolution test pattern is black rather than neutral gray. Consequently this signal is harmonically rich and dispersed, like a 2T pulse. On a spectrum analyzer, this pattern does not produce the narrow and amply spaced peaks characteristic of a multiburst pattern.
  • The other trick is that elements that make up the wedge converge toward a string of positions aligned with the sampling grid. While the wide end of the wedge represents an "easy" case with eight samples for each sinusoidal cycle, the narrow end of the wedge represents an "impossible" case with only two samples per cycle.

Therefore, even though the image represented has no obvious out of band energy, this test presents every potential source of unwanted moiré. No natural continuous tone photographic image could produce the "brick wall" frequency spectrum that this pattern employs. No practical consumer appliance can play all of this pattern’s test sequences perfectly, but none of these sequences goes beyond what a typical TV can handle.

At this point in the test suites, your system has probably already passed the first hurdle. The first rule for any high quality reproduction system is that it must not throw out half the scan lines. During the Field/Frame Freeze test, you established whether the test device can produce a freeze-frame that matches the running footage that preceded it.

The next important case is moving images. The most important and common type of moving image is film. The film test sequence animates the resolution test pattern at 24 frames per second. The cadence of the movement is exactly like what is found on A-frame coherent videotape masters.

The DVD Test Annex disc provides two MPEG-2 film mode syntax samples so that you can perform this test using two of the most "classic" types of material.

The Basic test was encoded on a name-brand encoding system at a major Hollywood studio. The Alternate test was encoded on the leading system found in multimedia authoring and corporate communications settings. For that sample, the "preferred" two-pass process was used to obtain a "precision" film mode stream.

The Alternate sample has a different encoded syntax than is used in the Basic sample. In streams from the multimedia/corporate encoder, the progressive_frame flag toggles at 12 Hz. Assuming that the test device provides Weave mode at all, the Alternate sample must not cause the playback system to toggle in and out of Weave mode.

The quality of the movement in this sequence is slightly rough, though not quite jerky. This is by design; a "real" movie of an object moving at this speed would be somewhat blurred. To preserve the unique spectral characteristics of the resolution test pattern, the centering of every frame was adjusted on the DVD Test Annex disc. No subpixel positioning occurs at any point.

The scaling strategy that produces this result is referred to as "Weave." This approach to video window display technology is also called "persistence," "progressive," "cine mode," "film mode," "interleave," or "static mesh." There are many possible implementation variations, but they all involve combining pairs of TV fields and presenting them together in a single moment in time. Like yarn in a loom, lines from one field are nested together with lines from another to create a new object. The feathering mentioned earlier occurs when the wrong two fields are paired.

That is why this strategy is so closely linked to A-frame coherent film masters. There are always at least two fields that originated from a single film frame in such masters. Furthermore, the pattern of which two fields belong together is more easily identified when A-frame coherent film is encoded under the best conditions at Hollywood labs.

A less desirable, but still acceptable alternative scaling strategy is referred to as "Bob." This approach to video window display technology is also sometimes called "interpolation," "field by field interpolation," "interlace," "de-interlace" or "video mode." There are many possible implementation variations, but they all involve spatially stretching individual TV fields and presenting them in their original time sequence one after the other. This eliminates the need to identify the correct two fields to pair together.

However, implementing the Bob strategy presents its own challenges. The vertical stretching or scaling must be done is a special manner. Because the field-by-field image information previously existed as two-to-one interlace continuous field television, it is necessary to alternately move the vertical centerline of the video window up or down by one TV line for every advancing TV field. If this is not done, then the resulting picture appears to shake (or bob) up and down.

It has been recently discovered that Weave mode provides one additional advantage over conventional TV. On conventional TV sets, continuous field ("live") video appears to have much better fluidity of motion then film. Most of this subjective advantage is actually due to particular undesirable motion artifacts imposed upon film by the "line twitter" of conventional two-to-one interlaced displays.

Even at ordinary 60Hz refresh rates, computers that present film in Weave mode eliminate this problem, actually improving the subjective perception of motion smoothness. Without temporal interpolation of any kind, Weave mode makes movies seem to move more smoothly.


Running the Video test

The Video test was encoded on a million-dollar system at a major Hollywood studio. This test helps you to ensure that the test device implements Bob mode correctly.

Test notes

  • Pay close attention to the edges of the left wedge. These edges should not become serrated as the image moves. The defect to watch for is sometimes called combing, feathering, or the "zipper" effect.
  • Four times in every revolution, the narrow end of the right wedge may appear to take on a white or black "valve shape." It will momentarily resemble the freeze-field illustrations at the end of this document. The dashed lines next to the resolution numbers of the left wedge may also seem to appear and disappear.
  • Unlike the Field/Frame Freeze tests described earlier, on this clip the "valve shape" is normal, due to a phenomenon called "critical velocity." In a 2-to-1 interlace television system, objects moving up or down at a certain speed reach a point where the television system can only deliver half the usual vertical resolution.
  • The lines of the right wedge will appear to be less smooth and will have a slight "stair step" quality to them. This effect is even more pronounced if you step through this sequence in a freeze-field. These are all fundamental limitations incurred whenever "live" continuous-field television production techniques are used.

Related links

DVD Video Port Performance tests


Running the Variations/Speed test

The speed test was encoded at an important Hollywood facility in video mode. This clip has the distorted A-frame structure of a movie that has been speed up by 4%. Its telecine cadence is interrupted every six TV frames. Because it is represented in MPEG-2 as video, it would normally be presented in Bob mode, as would the previous clip.

Test notes

This clip should be judged using the same guidelines as the previous clip. Watch carefully for any signs jerking or image quality variations that may be related to its six-frame pattern.

Related links

DVD Video Port Performance tests


Running the Variations/Discontinuity test

More about the Variations/Discontinuity test

Test notes

Watch for artifacts that come and go at a 6Hz to 9Hz rate. Pay close attention to the words and numbers included in the test pattern. While this pattern is somewhat jerky inherently, the player’s scaling strategy must not worsen the problem.

Related links

DVD Video Port Performance tests


About the Variations/Discontinuity test

All studios try to avoid discontinuities in their master tapes but perfection isn’t always possible. Outside of Hollywood, films are edited on tape and this usually disrupts the A-frame pattern. The test sample in the DVD Test Annex exaggerates this situation and contains a pattern discontinuity every nine frames.

To illustrate the A-frame pattern as it might be represented on a perfectly A-frame coherent master tape:

Film Frames: A B C D A B C D A B C D A B C

Video "Frames" AA BB BC CD DD AA BB BC CD DD AA BB BC CD DD AA BB BC CD

Notice that every four film frames become translated into five television "frames." This is achieved by presenting the "A" film frame for two television fields and the "B" film frame for three television fields and so on. The names (ABCD) of the film frames are not intended to necessarily indicate their order in the movie. The letter designation is simply an indication of whether that film frame is shown for two or three television fields and whether the first of those two television fields falls on a TV "frame" boundary.

Under ideal conditions, an MPEG-2 encoder operating in film mode will efficiently represent this videotape by only encoding four (not five) MPEG pictures and including flags that allow the decoder to reconstruct the 2:3 pattern of the five television "frames" on the original videotape.

Discontinuity test sample

The discontinuity test sample came from a videotape that does not comply with this fully regular pattern. The test sample can be described as follows:

BB BC CD DD AA BB BC CD DD BB BC CD DD AA BB BC CD DD BB BC CD DD AA BB BC

This arbitrary nomenclature doesn’t imply that this pattern would only occur if a frame of film were "cut out" every nine frames. Without any editing, this sort of pattern might be produced if a normal film were deliberately slowed down during its transfer to tape.

Notice that the fully regular pattern of 2:3 is periodically interrupted. Every nine frames , a DD-to-BB occurs instead of the standard DD-to-AA. DD-to-BB means that two sequential film images are represented on the master videotape for three fields. This violates A-frame coherency, as would any deviation from 2:3.

Discontinuity Alternate Y

Discontinuity Alternate Y was encoded in film mode on one of the most prolific Hollywood DVD production systems. It holds progressive_frame high intermittently, because its film mode picture structure is constantly being interrupted. Other aspects of MPEG-2 film mode syntax (such as repeat_first_field) also come and go according to the irregular pattern designed into this test sequence.

The progressive_frame flag in this stream may appear to violate MPEG syntax, but because it comes from an important production system it cannot be dismissed. Currently, no major DVD releases are known to contain this particular pattern of progressive_frame flag behavior, but there can be no assurance that current or future DVDs will remain free of this so-called "flaw."

Periodically, at the switching transition point going from film mode back into video mode, this stream contains one MPEG picture that is flagged progressive_frame that arguably shouldn’t be. Specifically, the MPEG picture that follows after the DD-to-BB discontinuity contains an image of the BC television "frame." Because this is a "pulldown frame," you might expect it to be flagged in the MPEG stream as progressive_frame=false.

Another way of looking at this same problem is to say that the encoder ought to be able to encode two pictures in a row (D and B) that both have repeat_first_field=true. Because most encoders are hardwired to have this flag toggle, the result is an inevitable misrepresentation of the TV frame that follows the DD-to-BB discontinuity. No matter how you look at it, the master videotape has a pattern eccentricity that is undesired but possible; the encoded MPEG is pathological but excusable, and the playback looks jerky, but only on computers.

Therefore, this particular MPEG-2 clip has a syntax referred to as "alternate" rather than "basic." Right or wrong, this sort of convoluted A-frame pattern does occur on a small number of important master tapes. Despite the diligence of Hollywood, it is only a matter of time before some disc escapes with this sort of an encoding aberration. Murphy’s law suggests that this aberration will occur in the middle of the best scene of the "surprise hit" of the season.

It is not required that DVD playback solutions to be able to play Alternate Y. However, designers are strongly cautioned to deal with aberrations such as Alternate Y as gracefully as possible. Watch carefully for any signs of jerking or image quality variations that may be related to the nine-frame pattern of discontinuities (approximately three times per second).

This sort of re-occurring defect can only occur under a limited set of production situations, such as when a film is deliberately slowed down by about 3% during transfer to tape. This is a specific, rare case with distinct characteristics that can be readily identified. Normally it is prudent to switch from Bob into Weave after encountering only a few pictures flagged with repeat_first_field, progressive_frame=true, or both.

If you find progressive_frame alternating about three times per second, it might be prudent to temporarily increase a time delay that might adaptively inhibit the switch from Bob into Weave.

Basic X sample

Basic X was encoded at another important Hollywood facility. This particular system behaved differently and produced a radically different encoded syntax even though identical videotapes were used for both Alternate Y and Basic X. The system that produced the Basic X sample simply didn’t toggle between film and video mode as much. It ought to play reliably, mostly in Weave with just a few brief lapses into video mode/Bob.

Alternate 2 was encoded on the leading system found in multimedia authoring and corporate communications settings. For Alternate 1, the sample uses the "preferred" two-pass process to obtain a "precision" film mode stream. By intent, the sample does not perform any "hand tuning" of the inverse telecine data collected during the two-pass process.

As a result, Alternate 1 may exhibit some "feathering" due to periodic film mode encoding errors. Alternate 2 is mostly video mode and therefore escapes from having many film mode defects.

Overall, adaptive scaling strategies that only pair fields under certain conditions can be excellent, but this approach begs for thoughtful design. For all of its problems, even Alternate Y plays flawlessly on a typical television. Generally speaking, any solution that makes on-screen text seem to slide and jerk, slide and jerk is unacceptable.


Running the Variations/Mixed Mode test

More about the Variations/Mixed Mode test

Test notes

  • Whether or not the test device switches scaling strategy, the test Basic Y sample sequence should be free of any serration artifacts and the movement should not jerk.
  • Other than a few, brief defects listed in the description of the Variations Mixed Mode test, this test sequence should play back without any serration artifacts.
  • Alternate 2 should reproduce cleanly when the "60 fps" box is on and off.
  • Both Alternate 1 and 2 samples must be presented in a stable manner when the "60fps" box is not visible.

Related links

DVD Video Port Performance tests


About the Variations/Mixed Mode test

Basic Y sample

Basic Y was encoded on one of the most prolific Hollywood DVD production systems. The source videotape contains what superficially appears to be an arbitrary mix of film mode and continuous field video material. The encoded stream switches between film mode and video mode syntax.

This test deviates from normal DVD production procedures, allowing the encoder to manage these changes in real-time using an automatic mode-detection mechanism. On an ideal player, the interspersed film sequences contained in the Basic Y sample should be presented in Weave mode while the remainder of the clip (labeled "60fps") should be presented in Bob mode.

Alternate X sample

Alternate X was encoded at another important Hollywood facility. Again, the test deviates from normal DVD production procedures, allowing the encoder to manage the film mode/video mode changes in real-time using an automatic mode-detection mechanism. This introduces a couple of defects into the encoded stream. Normally this stream might be rejected as it includes a couple of frames with encoder-induced "feathering." These occur at the points where the "60fps" box first appears or disappears.

Alternate 1 and 2 samples

Alternate 2 was encoded on the leading system found in multimedia authoring and corporate communications settings. Alternate 1 uses the "preferred" two-pass process to obtain a "precision" film mode stream. By design, there was no "hand tuning" of the inverse telecine data collected during the two-pass process.

As a result, Alternate 1 reveals some distortions when the "60fps" box is visible. Alternate 2 should reproduce cleanly when the box is on and off.

As mentioned earlier, assuming that the test device provides Weave at all, both Alternate samples must be presented in a stable manner when the "60fps" box is not visible. Even when faced with streams where the progressive_frame flag toggles at 12 Hz, the test device must not flicker and must not switch rapidly in and out of Weave mode.


Running the Numbers test

The Numbers test pattern makes it possible to objectively measure the motion portrayal of the test device. This is an optional test.

Hardware requirements

A VGA to S-Video adapter that does not offer temporal interpolation

This test only works in 640 x 480 x 60Hz mode.

This objective test can be conducted whether or not the test device has an S-Video output jack. Generally speaking, the least-expensive, low-end scan converters include the hardware required for this test.

Test notes

  • No numbers should be skipped and no numbers should be repeated.
  • Also notice that the background changes from black to white on each television field. If any fields show a stripe of the opposite shade, then the test device is "splitting" and is not acceptable.

Related links

DVD Decode tests


Running the X Parade test

Although not as reliable as the Numbers test, this visual test dramatically reveals dropped frames.

Test notes

The movement should appear smooth. The edges of the picture of the waterfall should not be "combed" or "feathered" in any way.

Related links

DVD Decode tests


Running the Title Roll test

Test notes

The text should move smoothly. The individual characters should not be "feathered" and should be free of any "stair step" quality.

Related links

DVD Decode tests


Running the Clock 24 fps and the Clock 60 Hz tests

Test notes

  • For the Clock 24 fps test to be meaningful, it is necessary to assume that the test device has already passed the Video Port/Film test.

At 24 fps, it is very difficult to visually distinguish field structure problems (Bob and Weave issues) from motion portrayal issues. This is because the disparity between the source rate (24 fps) and the display rate (typically 60 Hz or 72 Hz) causes moving edges to "ghost" in even the most ideal systems. This natural and acceptable "ghost" phenomenon resembles the "feathering," "combing," or "zipper effect" of bad Weave, which is not acceptable.

  • One specific defect makes 24 fps material look bad without also making 60 Hz material look worse. That defect occurs when a hardware MPEG decoder feeds a hardware video port on a graphics card (such as a VPE). If the video port on the downstream graphics card is throwing away every other television field (skip field mode), then 24 fps material develops a 6 Hz jerk. This serious motion portrayal defect could pass unnoticed when watching continuous field video source material.
  • This same defect causes a "valve shape" to appear at the tip of the right wedge of the resolution test image. This will be noticeable when footage such as the Field/Frame Freeze Weave sample is running. Although the introduction of a "valve shape" is allowed during a freeze, it is never permissible during running footage.
  • If the test device suffers from this defect then there will be six specific places in the "sweep hand" of the clock that will look abnormal.
  • Like X Parade, the Clock 60 Hz visual test also reveals dropped frames.

Related links

DVD Decode tests


Running the 24fps Film test

This test is an A-frame coherent montage of images. It was encoded on the leading system found in multimedia authoring and corporate communications settings. The sample used the "preferred" two-pass process to obtain a "precision" film mode stream. Furthermore, this stream has been post-processed to set progressive_frame=true for all encoded pictures.

Related links

DVD Decode tests


Running the 60 Hz Video test

This sample is continuous field video. It includes very clean "first generation" material as well as "press kit" material that suffers from small amounts of commonly found defects such as noise and chroma crawl. It was encoded on the leading system found in multimedia authoring and corporate communications settings.

Related links

DVD Decode tests


Running the 4Mb and 6Mb test

With the exception of the 24fps Film clip, which features a single sound track that includes dialog, the clips contain eight different sound tracks. A different sound track is automatically selected each time one of these test clips is played.

Test notes

  • These reduced bit rate clips should play all samples normally, for both picture and sound.
  • Most of the 4Mb clips carry 2.4Mb/sec video with eight 192kb/sec audio tracks. Most of the 6Mb clips carry 4.46Mb/sec video.

Related links

DVD Decode tests


Running the 7.95 Mb test

These test clips contain only one or two audio tracks.

Test notes

  • The film and 24fps Clock samples should be easier to decode because they are true 24 fps film and therefore have fewer pictures to decode per unit of time.
  • Most of the 7.95Mb clips carry 7.57Mb/sec video with two 192kb/sec audio tracks.

Related links

DVD Decode tests


Running the Highest test

The Title Roll in this section carries a test for an additional performance feature: The layer break of "DVD Test Annex" has been positioned exactly in the middle of this 60-second Title Roll. The clip was encoded in two pieces and the transition between them is non-seamless.

Hollywood is constantly looking for inventive ways to hide the layer break. Therefore, it is required that the system gracefully handle sequences such as this. In this test, the break is placed where it will be clearly noticeable.

All of these clips carry 9.8Mb/sec video with one 96kb/sec audio track.

Test notes

During this sequence, watch for the credit for "Encoding Services." When "Warner Brothers" and "Microsoft Studios" reaches the center of the screen, the layer break will occur. Although this transition will be noticeable, it must not cause a hesitation of more than two seconds.

Related links

DVD Decode tests


Running the Low Bit Rate test

This is a 30fps MPEG-1 SIF resolution clip encoded nominally at Video CD rates. Because this encoding configuration is skip field, the sample omits the X Parade, Title Roll, Clock 24fps, 24fps film and 60Hz Video clips. Instead we include Jazz Montage. Although not as visually exciting, this clip is technically similar to the 24 fps film clip except that it was shot at 30 fps.

The Low Bit Rate clips carry 1.5Mb/sec video with one 192kb/sec audio track.

Related links

DVD Decode tests


Running the Cycling Bit Rate test

This clip cycles from 2Mb/sec to 8Mb/sec every 15 seconds. It is 30 fps film encoded as video with a 15-frame open GOP.

Related links

DVD Decode tests


Running the V-bench test

The test pattern at the top of the frame in this sequence is designed for use with a proposed automated frame dropping test harness. It is encoded at 8Mb/sec.

Related links

DVD Decode tests


Running the Half Horizontal test

These 352x480 clips have a 5Mb/sec average VBR with a peak rate of 6Mb/sec. Like the previous clips, these clips were encoded on the leading system found in multimedia authoring and corporate communications settings. For the Clock 24fps and the 24fps film samples, the "preferred" two-pass process was used to obtain a "precision" film mode stream.

As before, these 24 fps streams were post-processed to hold progressive_frame=true. Most of these clips carry eight 192 kb/sec audio tracks.

Related links

DVD Decode tests


Running the 48kmpeg1.mpg test

Most DVD players support Video CD even though it is not a requirement. Most Video CD discs are encoded in 24 fps mode, and ironically that particular MPEG-1 frame rate is not permitted in the DVD Video Zone. To assure that the test device can support 24fps MPEG-1, a sample is included here.

Test notes

  • This clip is encoded at 1.5Mb/sec video and carries 112kb stereo MPEG-1 Layer 2 audio. It is a system stream multiplexed in real time using the leading system found in multimedia authoring and corporate communications settings.
  • This clip uses 48kHz because that is a convenient setting for multimedia PC applications. A sample of 44.1kHz audio is included in the next test clip.

Related links

DVD Other Zone tests


Running the AM_Mux_441.mpg test

Some consumer appliances that feature hard disc MPEG "time shifting" have format requirements that differ from DVD-Video. One popular system requires streams like this sample. This clip is encoded at 6Mb/sec video and carries 224kb stereo MPEG-1 layer two audio. This program stream was multiplexed using a popular post-processing tool.

Test notes

This sample features 44.1kHz audio. It might be wise to check for system instabilities related to the use of this sample rate. Verify that the Media Player tool bar still functions normally when playing this clip.

Related links

DVD Other Zone tests


Running the AM_Mux_48.mpg test

This clip is identical to the previous ones except that the audio sample rate has been changed to 48 kHz. This clip and the previous clip, taken together, can be helpful in isolating systems problems that are related to the audio sample rate.

Related links

DVD Other Zone tests


Running the Nonreeltimemux.mpg test

This clip is identical to the previous one except that the program stream was multiplexed using the post-processing tool that is bundled with the leading encoding system found in multimedia authoring and corporate communications settings.

Related links

DVD Other Zone tests


Running the Reeltimemux.mpg test

This clip is identical to the previous one except that the program stream was multiplexed in real time using the leading encoding system found in multimedia authoring and corporate communications settings.

Related links

DVD Other Zone tests


Running the Otherspace.mpg test

This clip is actually a .vob file multiplexed using the most commonly found DVD authoring and navigation tool. It has Dolby Digital audio and is identical to common DVD-Video payload in every respect except that it is a stand-alone file that has been renamed to include the .mpg filename extension.

Related links

DVD Other Zone tests


Running the UrbanAssault/Robit test

Related links

DVD Other Zone tests


Credits

WHQL: Ron Moses, Executive Producer
Microsoft Studios: Jean McCarthy, Senior Producer
Craig Cleaver, Producer
Andrew Rosen, Technical Director
Brian Honey, Digital Video Services Lead
John Deutscher, Technical Art lead
Ken Smith, Compressionist and DVD Author
Kurt Grubaugh, DVD Authoring Advisor
Dan Brunner
Packaging and UI Artist
Quinn Edmura, Interno Artist
Reeve Baily, Offline Editor
Markr Dopps, Online Editor
Bob Fries, Microsoft, Resolution Wedge Concept

Encoding for Video Port Performance Tests:
Spruce Technologies
Digital Video Compression Corporation
Sony Picture DVD Center
Warner Brothers, CVC
Microsoft Studios

96 kHz audio sample:
Sonic Solutions & Pioneer Electronics Corporation

Multi-track music sample:
Music Out the Yang

Robit Animation:
Scott Benza
Gregory Burns
Tom McClure
Sandford Ponder
Scott Selfon
Deweey Raid

35mm Film Footage:
Bravura Films

60 Hz Video Footage:
The Blue Angels

Dolby Digital test clips:
Dolby Laboratories

Acknowledgements:

Eric Anderson
Jon Bromberg
Bob Brummer
Tom Cohen
Jerald Cole
Roger Dessler
Alexandra Eearly
Don Eklund
Mark Ely
Steve Forshay
Eric Granlund
Ramzi Haidamus
Kilroy Hughes
Bob Kalsey
Yasuo Kano
Jinha Kim
Jeff Levison
Sanin Mirvic
Ed Schummer
Gary Sullivan
Jim Taylor
Craig Todd


Running the Custom Palette Color Index test

This test and the Default Pallet Color Index test are identical, except for the different color selections

Test notes

The smaller color reference box on the right side shows the color scheme that each box should reveal when highlighted. Each box has its own selection and action color schemes.

Related links

DVD Subpicture tests


Running the DirectX VA Decode test

To configure the test system

  1. Physically install the Oxygen VX1 Permedia3 PCI display adapter in the test system.
  2. Install the drivers for the Oxygen VX1 Permedia3 PCI display adapter from the [drive]:\hct\testbin folder of the test system.

Important: The Oxygen VX1 Permedia3 PCI drivers must be installed from [drive]:\hct\testbin folder of the test system, otherwise the test will fail.

To run the DirectX VA Decode test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select DirectX VA Decode, and then click Add Selection.
  3. Click Start Tests.
  4. Follow the instructions displayed until the test is completed.
  5. When the test is completed, view test log files.
  6. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running GraphEdit

Important: This test is not available for your test device in the Windows® XP HCT 10.0.

To run GraphEdit

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select GraphEdit, and then click Add Selection.
  3. Click Start Tests.
  4. In the Filter Graph Editor window, on the Graph menu, click Insert Filters.
  5. In the Which filters do you want to insert? dialog box, expand Video Capture Sources, select the capture filter for the test device, and click Insert Filters.
  6. Expand WDM Streaming Crossbar Devices, select the crossbar filter for the device, and click Insert Filters.
  7. Expand Audio Capture Sources, select the audio capture device, and click Insert Filters.
  8. Expand DirectShow Filters, individually select Analog In Test, AVI Mux, and File Writer, and click Insert Filters after each item.
  9. When the Select an output file for this filter to use dialog box displays, type c:\hct\testbin\testme.avi in the File name box, and then click Open.
  10. Close the Which filters do you want to insert? dialog box.
  11. In the Filter Graph Editor window, right-click the cross bar filter, and configure the settings to accept S-video or composite input.
  12. Right-click the Capture pin (found on the right side of the box for the video capture filter). Select Properties from the pop-up menu. Configure the settings to follow NTSC Region M standards as follows:
  • Frame Rate: 29.970 (NTSC)
  • Color space/Compression: YUY2
  • Output Size: a minimum of 480 vertical resolution – results are best with 720x480

Note: Do not run this test with Phase Alternation Line (PAL) sources.

  13. Attach the Capture pin from your video source filter to Xform In of the Analog In Test.
  14. Attach the Xform Out of the Analog In Test to Input 01 of the AVI Mux.
  15. Attach the Capture pin from your audio source filter to Input 02 of the AVI Mux.
  16. Attach the AVI Out pin of the AVI Mux to the File Writer.
  17. Save the file as Testme.grf, to c:\hct\testbin\.
  18. Run the graph by clicking the play or > button in GraphEdit. If any errors are generated by DirectX® Media or related subsystems, repair the cause of these difficulties. When your custom configuration does not generate errors, save the .grf file and quit GraphEdit. The file will be used in the Video Input test.


Running the AMCAP Video Capture test

To run the AMCAP Video Capture test

  1. Attach a video-input device, such as a S-VHS video tape recorder (VTR) with a prerecorded videocassette or a videodisc player with a prerecorded video disc, to the test device using connecting cables.

Note: The connecting cables can be RCA, S-Video, or custom-made. For USB, television tuner, and IEEE 1394 video capture devices, the video source is provided by the video capture device and, therefore, a VTR may not be needed.

  2. Start Test Manager.
  3. At the Test Manager window in the Available Tests for Selected Test Category pane, select AMCAP Video Capture, and then click Add Selection.
  4. Click Start Tests.
  5. In the Select Tests dialog box, select the applicable tests for your video capture solution from the Test Cases list, then click OK.
  6. When the test is completed, view test log files
  7. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the Video Input test

Important: This test is not available for your test device in the Windows® XP HCT 10.0.

To set up the DVD player

  1. Verify that the DVD player is properly connected to the test device and to the optional television monitor, if used.
  2. Insert Joe Kane’s "Video Essentials" DVD title into the DVD player.
  3. Set the DVD player to display the SMPTE BARS image located on Title 15, Track 6, and pause the image.

To run the Video Input test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select Video Input, and then click Add Selection.
  3. Click Start Tests.
  4. Click OK when the "testing is about 2% complete" message is displayed. Close all dialog boxes to allow new dialog boxes to display.
  5. After the test runs for about 10 seconds, you are prompted to display the SMPTE BARS image. Because the DVD player is already paused on the image, click OK. You see the following image.

  6. After the test runs for another 10 to 20 seconds, you are prompted to display the Snell & Wilcox image. Advance the DVD player to Title 15, Track 11, Seconds 37, and pause the image. You see the following image.

Note: If you are prompted to display the Snell & Wilcox pattern twice, disregard the prompt and the test will run to completion.

  7. When the test is completed, view test log files
  8. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Running the WDM Video Capture Suite (Iris) test

To run the WDM Video Capture Suite (Iris) test

  1. Start Test Manager.
  2. At the Test Manager window in the Available Tests for Selected Test Category pane, select WDM Video Capture Suite (Iris), and then click Add Selection.
  3. Click Start Test.
  4. When the test is completed, view test log files.
  5. Run all other required tests.

After you have successfully completed all tests required for this test submission, return test results.

Important: Returning test results saves all test log files created during a test run to a single .cab file. Do not return test results until you have successfully completed all required tests for a test submission.


Warning

Windows XP HCT 10.0 - Video

Important

This file is only a component of the Whistler Hardware Compatibility Test (HCT) Help system, and is not intended to be used as a stand-alone file.

Instead, use the HCThelp.chm file for information on the Microsoft Windows Logo Program for Hardware, testing hardware and drivers with the HCT, and installing and running the HCT.